ClawOps Docs
API Reference

Webhook 수정

PUT
/v1/accounts/{accountId}/webhooks/{webhookId}

Webhook의 URL, 이벤트, 활성 상태를 수정합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

webhookId*string

Webhook ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/accounts/AC1a2b3c4d/webhooks/WH1a2b3c4d" \  -H "Content-Type: application/json" \  -d '{    "url": "https://my-app.com/webhook",    "events": [      "message.sent",      "message.failed"    ],    "active": true  }'
{
  "id": "clxyz123",
  "account_id": "AC1a2b3c4d",
  "url": "https://my-app.com/webhook",
  "events": [
    "message.sent",
    "message.received"
  ],
  "active": true,
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}